### Function

# Gskvalue_take_render_node

since: 4.6

#### Declaration [src]

    void
    gsk_value_take_render_node (
      GValue* value,
      GskRenderNode* node
    )

#### Description [src]

Stores the given `GskRenderNode` inside `value`.

This function transfers the ownership of the `node` to the `GValue`.

Available since: 4.6

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with type `GSK_TYPE_RENDER_NODE`

  The data is owned by the caller of the function.

`node`

  Type: `GskRenderNode`

  A `GskRenderNode`

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.